%define name mono-tools
%define version 2.11
%define release %mkrel 1
%define monodir %_prefix/lib/mono
%define monodocdir %_prefix/lib/monodoc
%define monover 3.2.3
%define pkgconfigdir %_datadir/pkgconfig
%define _requires_exceptions lib.*gtk

Summary: Mono tools, including the documentation browser
Name: %{name}
Version: %{version}
Release: %{release}
Source0: http://go-mono.com/sources/mono-tools/%{name}-master.tar.gz
Patch0:	mono-tools-2.11-disable-gtkhtml.patch
Patch1:	mono-tools-2.11-disable-gendarme-webdoc-build.patch
License: GPLv2 and LGPLv2
Group: Development/Other
URL: http://www.go-mono.com
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires: mono-devel >= %monover
BuildRequires: gnome-sharp2-devel
#BuildRequires: gnome-desktop-sharp-devel
BuildRequires: %{_lib}gtkhtml2-devel
BuildRequires: glade-sharp2
BuildRequires: webkit-sharp-devel
BuildRequires:	mono-nunit >= %monover
BuildRequires:	glib-gettextize
Requires(post): monodoc-core >= %monover
Requires: monodoc-core >= %monover
BuildArch: noarch

%description
Mono Tools is a collection of development and testing programs and
utilities for use with Mono.

%prep
%setup -q -n mono-tools-master
%patch0 -p1 -b .disable_gtkhtml
%patch1 -p1 -b .disable_gendarme

for i in `find . -name "*.am"`;
do
	sed -i -e 's|-define:DEBUG|-define:DEBUG -sdk:4|g' $i
done


%build
./autogen.sh
./configure --prefix=%_prefix --libdir=%_prefix/lib --mandir=%_mandir

make

%install
rm -rf $RPM_BUILD_ROOT %name.lang
%makeinstall_std pkgconfigdir=%pkgconfigdir
%find_lang %name
rm -f %buildroot%monodocdir/MonoWebBrowserHtmlRender.dll
touch %buildroot%monodocdir/monodoc.index

%post
%update_menus
#touch %monodocdir/monodoc.index
#%_bindir/monodoc --make-index > /dev/null

%postun
%clean_menus

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %name.lang
%defattr(-,root,root)
%doc AUTHORS README ChangeLog
%_bindir/emveepee
%_bindir/minvoke
%_bindir/monodoc
%_bindir/mperfmon
%_bindir/gasnview
#%_bindir/gd2i
#%_bindir/gendarme
#%_bindir/gendarme-wizard
%_bindir/gsharp
%_bindir/gui-compare
%_bindir/create-native-map
%_bindir/ilcontrast
%_bindir/mprof*
%_prefix/lib/create-native-map
%_prefix/lib/ilcontrast/
%dir %_prefix/lib/minvoke/
%_prefix/lib/minvoke/minvoke.exe
%dir %_prefix/lib/%name
%_prefix/lib/%name/emveepee.exe*
%_prefix/lib/%name/mprof*
%_prefix/lib/%name/Mono.Profiler*
%_mandir/man1/*
#%_mandir/man5/*
#%_prefix/lib/gendarme
%_prefix/lib/gsharp
%_prefix/lib/gui-compare
%_prefix/lib/mperfmon
%monodir/1.0/*
%monodocdir/browser.exe
#%monodocdir/GtkHtmlHtmlRender.dll
#%monodocdir/MonoWebBrowserHtmlRender.dll
%monodocdir/WebKitHtmlRender.dll
#%monodocdir/sources/Gendarme*
#%monodocdir/sources/gendarme*
#%monodocdir/web
%pkgconfigdir/*.pc
#%_datadir/applications/gendarme-wizard.desktop
%_datadir/applications/gsharp.desktop
%_datadir/applications/monodoc.desktop
%_datadir/applications/ilcontrast.desktop
%_datadir/pixmaps/*
%_datadir/icons/hicolor/*/apps/*
%ghost %monodocdir/monodoc.index


%changelog
* Tue Sep 24 2013 pinoc <vogtpet at gmail.com> 2.11-1pclos2013
- 2.11 on new mono
- commented out gnome-desktop-sharp-devel and added %{_lib}gtkhtml2-devel

* Wed Oct 13 2010 johnnyblack <johnnyblack at inbox.com> 2.8-2pclos2010
- rebuild for new webkit-sharp

* Mon Oct 11 2010 Texstar <texstar at gmail.com> 2.8-1pclos2010
- 2.8

